public class Circle extends Figure {
    private final Point center;
    private final double radius;
    public Circle(Point center, double radius) {
        super("Circle");
        this.center = center;
        this.radius = radius;
    }
    public Point getCenter() {
        return this.center;
    }
    public double getRadius() {
        return this.radius;
    }
    @Override
    public double calculateArea() {
        return (Math.PI * Math.pow(this.getRadius(), 2)); // PI*r^2
    }
    @Override
    public double calculatePerimeter() {
        return (2 * Math.PI * this.getRadius()); // 2*PI*r
    }
    @Override
    public String toString() {
        return super.toString() + ": (" + this.center + "," + this.radius + ")";
    }
}
